log:
  level: {{traefik_log_level}}
  
api:
  insecure: true
  dashboard: true

entryPoints:
  web:
    address: ':80'

  websecure:
    address: ':443'

providers:
  docker:
    exposedByDefault: false
  file:
    filename: /etc/traefik/dynamic_conf.yml
    watch: true

certificatesResolvers:
{% if traefik_add_tlsresolver %}
  tlsResolver:
    acme:
      email: {{acme_email}}
      storage: /letsencrypt/acme.json
      tlsChallenge: {}
{% endif %}

{% if traefik_add_dnsresolver %}
  dnsResolver:
    acme:
      email: {{acme_email}}
      storage: /letsencrypt/acme.json
      dnsChallenge:
        provider: "{{dns_resolver}}"
        delayBeforeCheck: 0
        resolvers: ["1.1.1.1:53", "8.8.8.8:53"]   
{% endif %}
